<?
//include_once('includes/top.php');
include_once('opendb.php');
$brcode=$_SESSION['brcode'];
$user=$_SESSION['user'];
if(strlen($brcode)<=0)
{
 print "<script> alert('Session timed out'); parent.document.location='inde.php'; </script>";
 return;
}
include_once('testtot.php');
$type=$_REQUEST['type'];
$brres=mysqli_query($db,"select * from branch where brcode='$brcode'");
$brrow=mysqli_fetch_array($brres);
$brnchnm= $brrow[1];
$filename ="stk_ver_blk.xls";
$contents="                  KERALA KHADI & VILLAGE INDUSTRIES BOARD \n";
$contents.= "                     CENTER NAME : ".$brnchnm." \n";
$contents.= "              For Stock Verification as on ".date("d/m/Y")." \n";
$tbl="sparetmpdw".$brcode.$user;
mysqli_query($db,"drop table $tbl");
mysqli_query($db,"CREATE TABLE $tbl (partcode varchar(200),partname varchar(200),op_inqty double(10,2) default 0,op_outqty double(10,2) default 0, stkadj_in double(10,2) default 0, stkadj_out double(12,2) default 0,purch_in double(12,2) default 0,salertn_in double(12,2) default 0,trans_in double(12,2) default 0,trans_out double(12,2) default 0,sale_out double(12,2) default 0,purchrtn_out double(12,2) default 0)");
mysqli_query($db,"delete from $tbl");
if($type=='All')
{
    mysqli_query($db,"insert into $tbl (partcode,partname,op_inqty) select itemcode,itemname,sum(opstk) from sparestock where brcode='$brcode' group by itemcode") or die('err12'.mysqli_error($db));
    mysqli_query($db,"insert into $tbl (partcode,partname,stkadj_in,stkadj_out) select partcode,partname,sum(qty),sum(outqty) from adjstock where brcode='$brcode' group by partcode") or die('err12'.mysqli_error($db));
    mysqli_query($db,"insert into $tbl (partcode,partname,purch_in) select item_code,item,sum(qty) from itempurchase where brcode='$brcode' group by item_code") or die('err12'.mysqli_error($db));
    mysqli_query($db,"insert into $tbl (partcode,partname,salertn_in) select item_code,item,sum(rtnqty) from salesretn where brcode='$brcode' group by item_code") or die('err12'.mysqli_error($db));
    mysqli_query($db,"insert into $tbl (partcode,partname,trans_out) select item_code,item,sum(qty) from brtransferout where brcode='$brcode' group by item_code") or die('err12'.mysqli_error($db));
    mysqli_query($db,"insert into $tbl (partcode,partname,trans_in) select item_code,item,sum(qty) from brtransferin where brcode='$brcode' group by item_code") or die('err12'.mysqli_error($db));
    mysqli_query($db,"insert into $tbl (partcode,partname,sale_out) select item_code,item,sum(qty) from prod_invoice where brcode='$brcode' group by item_code") or die('err12'.mysqli_error($db));
    mysqli_query($db,"insert into $tbl (partcode,partname,purchrtn_out) select item_code,item,sum(qty) from purchretn where brcode='$brcode' group by item_code") or die('err12'.mysqli_error($db));
}
else
{
    mysqli_query($db,"insert into $tbl (partcode,partname,op_inqty) select itemcode,itemname,sum(opstk) from sparestock where brcode='$brcode' and item_grp = '$type' group by itemcode") or die('err12'.mysqli_error($db));
    mysqli_query($db,"insert into $tbl (partcode,partname,stkadj_in,stkadj_out) select partcode,partname,sum(qty),sum(outqty) from adjstock where brcode='$brcode' and gname = '$type'  group by partcode") or die('err12'.mysqli_error($db));
    mysqli_query($db,"insert into $tbl (partcode,partname,purch_in) select item_code,item,sum(qty) from itempurchase where brcode='$brcode' and gname = '$type' group by item_code") or die('err12'.mysqli_error($db));
    mysqli_query($db,"insert into $tbl (partcode,partname,salertn_in) select item_code,item,sum(rtnqty) from salesretn where brcode='$brcode' and gname = '$type' group by item_code") or die('err12'.mysqli_error($db));
    mysqli_query($db,"insert into $tbl (partcode,partname,trans_out) select item_code,item,sum(qty) from brtransferout where brcode='$brcode' and gname = '$type' group by item_code") or die('err12'.mysqli_error($db));
    mysqli_query($db,"insert into $tbl (partcode,partname,trans_in) select item_code,item,sum(qty) from brtransferin where brcode='$brcode' and gname = '$type' group by item_code") or die('err12'.mysqli_error($db));
    mysqli_query($db,"insert into $tbl (partcode,partname,sale_out) select item_code,item,sum(qty) from prod_invoice where brcode='$brcode' and gname = '$type' group by item_code") or die('err12'.mysqli_error($db));
    mysqli_query($db,"insert into $tbl (partcode,partname,purchrtn_out) select item_code,item,sum(qty) from purchretn where brcode='$brcode' and gname = '$type' group by item_code") or die('err12'.mysqli_error($db));
}
//**************************************
$re=mysqli_query($db,"select partcode,partname,sum(op_inqty),sum(op_outqty),sum(purch_in),sum(trans_in),sum(salertn_in),sum(stkadj_in),sum(sale_out),sum(trans_out),sum(purchrtn_out),sum(stkadj_out) from $tbl group by partcode");
$contents.= "\t No.\t Item Code:\t Item Name\t Rate \t Stock as per Ledger\t \tStock Actually Verified\n";
$contents.= "\t \t \t \t \t Qty\t Value\t Qty\t Value\n";
$i=1;
$tprice=0;
$mctr=1;
$pageno = 1;
while($row=mysqli_fetch_array($re))
{
  $op_qty = $row[2]-$row[3];
  if(abs($op_qty)>0 || abs($row[4])>0 ||abs($row[5])>0 ||abs($row[6])>0 ||abs($row[7])>0 ||abs($row[8])>0 ||abs($row[9])>0 ||abs($row[10])>0 ||abs($row[11])>0)
  {
     $close = $op_qty+($row[4]+$row[5]+$row[6]+$row[7])-($row[8]+$row[9]+$row[10]+$row[11]);
     $prres=mysqli_query($db,"select ndpcost from spareprmast where partcode='$row[0]' order by effectfrom desc");
     $prrow=mysqli_fetch_row($prres);
     $pr=($prrow[0]*($close));
     $tprice+=$pr;
     $contents.= "\t".$i++."\t".$row[0]."\t".$row[1]."\t".$prrow[0]."\t".$close."\t".$pr."\n";
  }
}
$contents.= "\t Total \t \t \t  \t \t ".$tprice."\n";
$contents = strip_tags($contents);
header('Content-type: application/ms-excel');
header('Content-Disposition: attachment; filename='.$filename);
print $contents;
//header('location:stockverblnk.php');
?>